{% extends "base.html" %}
{% load static %}
{% load vstatic %}
{% load i18n %}
{% load rules %}
{% load crispy_forms_tags %}
{% block sidebar %}
{% endblock sidebar %}
{% block top_nav %}
{% endblock top_nav %}
{% block content %}
    {% has_perm 'admin_geral' user as admin_geral %}
    <div id="resultados" class="leaflet-control-scale-line">
        <span>{{ qtde_territorios }} comunidades</span>
        {% if filtros.items %}
            <div class="filtrosAplicados">
                {% for k, vs in filtros.items %}
                    <span class="small">
                        <b>{{ k }}</b>:
                        {% for v in vs %}
                            {{ v }}
                            {% if not forloop.last %},{% endif %}
                        {% endfor %}
                    </span>
                    {% if not forloop.last %}&nbsp;-&nbsp;{% endif %}
                {% endfor %}
            </div>
        {% endif %}
    </div>
    {% if admin_geral %}
        <div id="downloadPoligonos" class="leaflet-control-scale-line">
            <span>Download KML</span>
        </div>
    {% endif %}
    <div id="legenda" class="leaflet-control-scale-line">
        <div>
            <img alt="Legenda: Comunidade com dados públicos"
                 src="{% static 'main/img' %}/tonomapa_pin_privado_39x48.png" />
            <span>Comunidade com dados públicos</span>
        </div>
        <div class="legenda_publico">
            <img alt="Legenda: Município com uma ou mais comunidades sem dados públicos"
                 src="{% static 'main/img' %}/tonomapa_pin_publico_39x48.png" />
            <span>Município com uma ou mais comunidades sem dados públicos</span>
        </div>
    </div>
    <div class="row">
        <div class="mapa_publico_wrapper">
            <div id="map" class="mapa_publico"></div>
        </div>
    </div>
    <div id="form_map_filter_btn_wrapper">
        <div id="form_map_filter_btn"
             class="btn btn-sm btn-secondary mapa_publico leaflet-control-layers">
            <i class="fa fa-eye"> Filtros</i>
        </div>
        {% comment %} <div id="form_map_filter" class="mapa_publico leaflet-control-layers">
            <div id="form_map_filter_close" class="text-right">
                <div class="btn btn-secondary">
                    <i class="fa fa-close"> </i>
                </div>
            </div>
            {% crispy form %}
        </div> {% endcomment %}
    </div>
    <div class="modal fade" id="featureModal" tabindex="-1" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button class="close" type="button" data-dismiss="modal" aria-hidden="true">×</button>
                    <h4 class="modal-title text-primary" id="feature-title"></h4>
                </div>
                <div class="modal-body" id="feature-info"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="filterModal" tabindex="-1" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button class="close" type="button" data-dismiss="modal" aria-hidden="true">×</button>
                    <h4 class="modal-title text-primary">Filtros</h4>
                </div>
                <div class="modal-body">{% crispy form %}</div>
                <div class="modal-footer">&nbsp;</div>
            </div>
        </div>
    </div>
    <script>
     {% autoescape off %}
        const MAPBOX_ACCESS_TOKEN = '{{ MAPBOX_ACCESS_TOKEN }}';
        const position_initial = {{ position_initial }};
        const isSinglePage = false;
        const icone_url = "{% static 'main/img' %}";
        const SITE_URL = "{{ SITE_URL }}";
        const filtros = {% if filtros %} { {% for k, vs in filtros.items %}{{ k }}: [{% for v in vs %}'{{ v }}'{% if not forloop.last %},{% endif %}{% endfor %}]{% if not forloop.last %},{% endif %}{% endfor %} }{% else %}null{% endif %};
        const MAPA_PUBLICO = true;
     {% endautoescape %}
        const territorios = [
        {% for territorio in territorios %}
        {% autoescape off %}
        {% if territorio.publico %}
            {
                id: {{ territorio.id }},
                nome: '{{ territorio.nome|escapejs }}',
                publico: true,
                municipio: '{{ territorio.municipio|escapejs }}',
                estado: '{{ territorio.estado|escapejs }}',
                qtde_familias: {{ territorio.qtde_familias }},
                conflitos: {{ territorio.conflitos }},
                areasDeUso: {{ territorio.areas_de_uso }},
                poligonos: {{ territorio.poligonos }},
                segmentos: {{ territorio.segmentos }},
                poligonoMarker: {{ territorio.poligono_marker }},
                statusRevisao: "{{ territorio.status_revisao }}",
                territorio_url: "{% url 'territorio_detail' territorio.id %}"
            }{% if not forloop.last %},{% endif %}
        {% else %}
            {
                id: {{ territorio.id }},
                nome: '{{ territorio.qtde }} {% if territorio.qtde > 1 %}comunidades{% else %}comunidade{% endif %} em {% autoescape on %}{{ territorio.municipio }}{% endautoescape %}',
                publico: false,
                segmentos: {{ territorio.segmentos }},
                lat: {{ territorio.lat|stringformat:"f" }},
                lng: {{ territorio.lng|stringformat:"f" }}
            }{% if not forloop.last %},{% endif %}
        {% endif %}
        {% endautoescape %}
        {% endfor %}
        ];
    </script>
{% endblock content %}
{% block includes %}
    <link rel="stylesheet"
          href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css"
          integrity="sha512-xodZBNTC5n17Xt2atTPuE1HxjVMSvLVW9ocqUKLsCC5CXdbqCmblAshOMAS6/keqq/sMZMZ19scR4PsZChSR7A=="
          crossorigin="" />
    <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"
            integrity="sha512-XQoYMqMTK8LvdxXYG3nZ448hOEQiglfqkJs1NOQV44cWnUrBc8PkAOcXy20w0vlaXaVUearIOBhiXZ5V3ynxwA=="
            crossorigin=""></script>
    <link rel="stylesheet"
          href="https://unpkg.com/leaflet.markercluster@1.4.1/dist/MarkerCluster.css" />
    <link rel="stylesheet"
          href="https://unpkg.com/leaflet.markercluster@1.4.1/dist/MarkerCluster.Default.css" />
    <script src="https://unpkg.com/leaflet.markercluster@1.4.1/dist/leaflet.markercluster.js"
            crossorigin=""></script>
    <link rel="stylesheet"
          href="https://cdn.jsdelivr.net/npm/leaflet-easybutton@2/src/easy-button.css" />
    <script src="https://cdn.jsdelivr.net/npm/leaflet-easybutton@2/src/easy-button.js"></script>
    <script src="https://api.mapbox.com/mapbox.js/plugins/leaflet-fullscreen/v1.0.1/Leaflet.fullscreen.min.js"></script>
    <link href="https://api.mapbox.com/mapbox.js/plugins/leaflet-fullscreen/v1.0.1/leaflet.fullscreen.css"
          rel="stylesheet" />
    <script type="text/javascript" src="{% vstatic 'main/js/tokml.js' %}"></script>
    <script type="text/javascript"
            src="{% vstatic 'main/js/app_mapa_publico.js' %}"></script>
    <link href="{% vstatic 'main/css/dashboard_mapa.css' %}" rel="stylesheet" />
{% endblock includes %}
